View Issue Details

IDProjectCategoryView StatusLast Update
0000215Siril[All Projects] Sirilpublic2018-01-06 23:30
ReportervinvinAssigned Tolock42 
PriorityhighSeverityminorReproducibilityN/A
Status resolvedResolutionfixed 
Product Version0.9.7 
Target Version0.9.8Fixed in Version0.9.8 
Summary0000215: Simplified version of drizzle stacking: superstacking
DescriptionCould also be called up-scale stacking, super-resolution stacking, or heavy rain stacking (with large droplets compared to a drizzle).
pixfrac = 2, up-scale = 2
Maybe limited to shifting registration for a first version.
TagsNo tags attached.

Relationships

parent of 0000224 resolvedlock42 Warn user if available free disk space is not enough for Drizzle 

Activities

vinvin

2017-12-19 23:40

administrator   ~0000440

Last edited: 2017-12-19 23:42

View 3 revisions

I think the correct name should be: sub-pixel up-scaling stacking or super-resolution stacking, not drizzle. But for people who only know this word, it may be good to use it anyway, like AS!.
But I still like heavy-rain stacking or poor-man's drizzle better ;)

vinvin

2017-12-19 23:54

administrator   ~0000441

In the remaining work: we should delete the temporary files representing the up-scaled sequence at the beginning and the end of the stacking process.

lock42

2017-12-21 16:18

administrator   ~0000443

Files are now deleted at the end of the stacking process. Is it really needed to check if exist at the beginning ?

Related Changesets

Siril: 0.9 r1902

2017-12-06 23:00:28

vinvin

Details
adding a flag for stack-time upscale - ref 0000215 Affected Issues
0000215
mod - /branches/0.9/src/core/siril.h
mod - /branches/0.9/src/io/seqfile.c
mod - /branches/0.9/src/io/sequence.c

Siril: 0.9 r1904

2017-12-07 16:55:00

lock42

Details
First implementation of simplified drizzle.
Works only for global registration with rotation for now.
Need to do it for all shift-based registration methods
Issue 0000215
Affected Issues
0000215
mod - /branches/0.9/src/gui/siril3.glade
mod - /branches/0.9/src/registration/registration.c
mod - /branches/0.9/src/registration/registration.h

Siril: 0.9 r1905

2017-12-07 16:55:56

lock42

Details
Forgot translation files in previous commit.
Issue 0000215
Affected Issues
0000215
mod - /branches/0.9/po/fr.po

Siril: 0.9 r1907

2017-12-07 22:27:42

lock42

Details
Fixes small issue in order to prepare shift-based registration drizzle. Issue 0000215. Affected Issues
0000215
mod - /branches/0.9/src/registration/registration.c

Siril: 0.9 r1913

2017-12-10 01:40:40

vinvin

Details
A bit of cleanup to prepare the sequence upscale in stacking (issue 0000215).
Moving code related to sequence export from sequence.c to new sequence_export.c
Moving code related to normalization from stacking.c to normalization.c.
Reviewed the activation of the force normalization checkbox in the stacking interface.
Affected Issues
0000215
mod - /branches/0.9/src/Makefile.am
mod - /branches/0.9/src/gui/siril3.glade
mod - /branches/0.9/src/io/seqfile.c
mod - /branches/0.9/src/io/sequence.c
mod - /branches/0.9/src/io/sequence.h
add - /branches/0.9/src/io/sequence_export.c
add - /branches/0.9/src/stacking/normalization.c
mod - /branches/0.9/src/stacking/stacking.c
mod - /branches/0.9/src/stacking/stacking.h

Siril: 0.9 r1926

2017-12-19 01:38:04

vinvin

Details
Up-scaling a sequence before stacking: the simplified drizzle, or subpixel registration stacking. Issue 0000215.
Requires to remove temporary files before starting again the stacking with different images filtered.
Affected Issues
0000215
mod - /branches/0.9/src/core/processing.c
mod - /branches/0.9/src/core/processing.h
mod - /branches/0.9/src/core/siril.h
mod - /branches/0.9/src/io/sequence.c
mod - /branches/0.9/src/registration/registration.c
mod - /branches/0.9/src/stacking/stacking.c
mod - /branches/0.9/src/stacking/stacking.h

Siril: 0.9 r1927

2017-12-19 15:47:31

lock42

Details
Continuing with issue 0000215.
shift x and y are now float.
There's still a bug with SER files that are not upscaled in the right way.
Affected Issues
0000215
mod - /branches/0.9/po/fr.po
mod - /branches/0.9/src/compositing/align_rgb.c
mod - /branches/0.9/src/compositing/compositing.c
mod - /branches/0.9/src/core/processing.c
mod - /branches/0.9/src/core/proto.h
mod - /branches/0.9/src/core/siril.c
mod - /branches/0.9/src/core/siril.h
mod - /branches/0.9/src/core/utils.c
mod - /branches/0.9/src/gui/registration_preview.c
mod - /branches/0.9/src/gui/sequence_list.c
mod - /branches/0.9/src/io/seqfile.c
mod - /branches/0.9/src/io/sequence_export.c
mod - /branches/0.9/src/registration/registration.c
mod - /branches/0.9/src/stacking/stacking.c
mod - /branches/0.9/src/stacking/sum.c

Siril: 0.9 r1928

2017-12-19 23:35:05

vinvin

Details
Fixing SER export for up-scaled sequence, issue 0000215.
Affected Issues
0000215
mod - /branches/0.9/src/core/utils.c
mod - /branches/0.9/src/io/ser.c

Siril: 0.9 r1939

2017-12-21 15:55:21

lock42

Details
Issue 0000215: Delete the temporary files representing the up-scaled sequence at the end of the stacking process. Affected Issues
0000215
mod - /branches/0.9/po/fr.po
mod - /branches/0.9/src/gui/siril3.glade
mod - /branches/0.9/src/stacking/stacking.c

Siril: 0.9 r1944

2017-12-21 23:25:01

vinvin

Details
fixing sequence with holes super-resolution stacking, bug 0000215 Affected Issues
0000215
mod - /branches/0.9/src/stacking/stacking.c

Siril: 0.9 r1976

2018-01-06 23:30:39

lock42

Details
Add SCALED_IMAGE into update_menu.
Issue 0000215
Affected Issues
0000215
mod - /branches/0.9/src/gui/callbacks.c

Issue History

Date Modified Username Field Change
2017-12-05 01:51 vinvin New Issue
2017-12-05 01:51 vinvin Status new => assigned
2017-12-05 01:51 vinvin Assigned To => lock42
2017-12-06 23:04 vinvin Changeset attached => Siril 0.9 r1902
2017-12-07 16:55 lock42 Changeset attached => Siril 0.9 r1904
2017-12-07 16:55 lock42 Changeset attached => Siril 0.9 r1905
2017-12-07 22:27 lock42 Changeset attached => Siril 0.9 r1907
2017-12-10 01:40 vinvin Changeset attached => Siril 0.9 r1913
2017-12-19 01:38 vinvin Changeset attached => Siril 0.9 r1926
2017-12-19 15:47 lock42 Changeset attached => Siril 0.9 r1927
2017-12-19 23:35 vinvin Changeset attached => Siril 0.9 r1928
2017-12-19 23:40 vinvin Note Added: 0000440
2017-12-19 23:41 vinvin Note Edited: 0000440 View Revisions
2017-12-19 23:42 vinvin Note Edited: 0000440 View Revisions
2017-12-19 23:54 vinvin Note Added: 0000441
2017-12-21 15:55 lock42 Changeset attached => Siril 0.9 r1939
2017-12-21 16:18 lock42 Note Added: 0000443
2017-12-21 23:25 vinvin Changeset attached => Siril 0.9 r1944
2017-12-22 12:45 lock42 Status assigned => resolved
2017-12-22 12:45 lock42 Resolution open => fixed
2017-12-22 12:45 lock42 Product Version => 0.9.7
2017-12-22 12:45 lock42 Fixed in Version => 0.9.8
2018-01-03 23:07 lock42 Relationship added parent of 0000224
2018-01-06 23:30 lock42 Changeset attached => Siril 0.9 r1976